ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
samsung
search
    프로그램 검색(Elasticsearch)get
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

search


프로그램 검색(Elasticsearch)

GET
https://odkmedia.io
/odx/api/v3/search/

search_list

  • This API provides searching results from elasticsearch.
  • It doesn't support partial search, yet.

프로그램 검색(Elasticsearch) › query Parameters

debug
​string

If value is "on", debug is included in response.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

프로그램 검색(Elasticsearch) › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

프로그램 검색(Elasticsearch) › Responses

200
PaginatedOdxV3SearchList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3Search[]
GET/odx/api/v3/search/
curl https://odkmedia.io/odx/api/v3/search \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "badges": "badges", "categories": [ { "id": 0, "is_root": true, "parent": 0, "parent_display": { "id": 0, "service_name": "odk", "slug": "slug", "title": "title" }, "service_name": "odk", "slug": "slug", "title": "title" } ], "default_sales_type": "GUEST", "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_favorite": "is_favorite", "people": [ { "info": {}, "name": "name", "role": "role", "slug": "slug" } ], "service_name": "odk", "slug": "slug", "title": "title", "uuid": "00000000-0000-0000-0000-000000000000" } ] }
json
application/json

samsungshorts